Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/MemoryTileStructImage.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/MemoryTileStructImage.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/MemoryTileStructImage.java	(revision 43876)
@@ -32,7 +32,7 @@
 
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterQuery;
 import org.gvsig.fmap.dal.raster.spi.RasterStoreProvider;
 import org.gvsig.fmap.geom.Geometry.DIMENSIONS;
 import org.gvsig.fmap.geom.Geometry.SUBTYPES;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/MemoryTileCacheStoreProvider.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/MemoryTileCacheStoreProvider.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.tilecache/org.gvsig.fmap.dal.tilecache.raster/src/main/java/org/gvsig/raster/tilecache/provider/MemoryTileCacheStoreProvider.java	(revision 43876)
@@ -30,8 +30,8 @@
 import org.gvsig.fmap.dal.FileHelper;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.exception.InitializeException;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.dal.raster.spi.RasterStoreProvider;
 import org.gvsig.fmap.dal.resource.spi.ResourceConsumer;
 import org.gvsig.fmap.dal.resource.spi.ResourceProvider;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/raster/lib/legend/api/RasterLegend.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/raster/lib/legend/api/RasterLegend.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/raster/lib/legend/api/RasterLegend.java	(revision 43876)
@@ -4,8 +4,8 @@
 import java.util.List;
 
 import org.gvsig.fmap.dal.DataStore;
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.mapcontext.ViewPort;
 import org.gvsig.fmap.mapcontext.rendering.legend.ILegend;
 import org.gvsig.raster.lib.buffer.api.Buffer;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/MapContextManager.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/MapContextManager.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/MapContextManager.java	(revision 43876)
@@ -36,7 +36,7 @@
 
 import org.gvsig.fmap.dal.DataStore;
 import org.gvsig.fmap.dal.DataStoreParameters;
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
 import org.gvsig.fmap.mapcontext.exceptions.LoadLayerException;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
 import org.gvsig.fmap.mapcontext.layers.LayerInformationBuilder;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/raster/api/RasterLayer.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/raster/api/RasterLayer.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/raster/api/RasterLayer.java	(revision 43876)
@@ -22,8 +22,8 @@
  */
 package org.gvsig.fmap.mapcontext.raster.api;
 
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.mapcontext.exceptions.LegendLayerException;
 import org.gvsig.fmap.mapcontext.layers.operations.InfoByPoint;
 import org.gvsig.fmap.mapcontext.layers.operations.SingleLayer;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/impl/DefaultMapContextManager.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/impl/DefaultMapContextManager.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/impl/DefaultMapContextManager.java	(revision 43876)
@@ -48,8 +48,8 @@
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.feature.FeatureStore;
 import org.gvsig.fmap.dal.feature.FeatureType;
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.mapcontext.MapContext;
 import org.gvsig.fmap.mapcontext.MapContextDrawer;
 import org.gvsig.fmap.mapcontext.MapContextException;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/impl/MapContextRasterLibrary.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/impl/MapContextRasterLibrary.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/impl/MapContextRasterLibrary.java	(revision 43876)
@@ -27,7 +27,7 @@
 
 import org.gvsig.compat.CompatLibrary;
 import org.gvsig.fmap.dal.DALLibrary;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.mapcontext.MapContextLibrary;
 import org.gvsig.fmap.mapcontext.MapContextLocator;
 import org.gvsig.fmap.mapcontext.MapContextManager;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/impl/DefaultRasterLayer.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/impl/DefaultRasterLayer.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/impl/DefaultRasterLayer.java	(revision 43876)
@@ -43,12 +43,12 @@
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.exception.InitializeException;
 import org.gvsig.fmap.dal.exception.ReadException;
-import org.gvsig.fmap.dal.raster.api.BandAttributeDescriptor;
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
-import org.gvsig.fmap.dal.raster.api.RasterSet;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
-import org.gvsig.fmap.dal.raster.api.RasterStoreNotification;
+import org.gvsig.fmap.dal.raster.BandAttributeDescriptor;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
+import org.gvsig.fmap.dal.raster.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterSet;
+import org.gvsig.fmap.dal.raster.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStoreNotification;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemStoreParameters;
 import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.GeometryLocator;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.impl/src/main/java/org/gvsig/raster/lib/legend/impl/DefaultRasterLegend.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.impl/src/main/java/org/gvsig/raster/lib/legend/impl/DefaultRasterLegend.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.impl/src/main/java/org/gvsig/raster/lib/legend/impl/DefaultRasterLegend.java	(revision 43876)
@@ -9,7 +9,7 @@
 import java.util.List;
 
 import org.cresques.cts.ICoordTrans;
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/ClipExtension.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/ClipExtension.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/ClipExtension.java	(revision 43876)
@@ -17,7 +17,7 @@
 import org.gvsig.app.ApplicationManager;
 import org.gvsig.app.project.documents.view.ViewDocument;
 import org.gvsig.app.project.documents.view.gui.IView;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
 import org.gvsig.fmap.mapcontext.layers.FLayers;
 import org.gvsig.fmap.mapcontext.raster.api.RasterLayer;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/ZoomToRasterLayerResolutionExtension.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/ZoomToRasterLayerResolutionExtension.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/ZoomToRasterLayerResolutionExtension.java	(revision 43876)
@@ -21,7 +21,7 @@
 import org.gvsig.app.project.documents.view.gui.IView;
 import org.gvsig.fmap.dal.exception.InitializeException;
 import org.gvsig.fmap.dal.exception.ReadException;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.geom.Geometry.DIMENSIONS;
 import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.GeometryLocator;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/SaveRasterLayerExtension.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/SaveRasterLayerExtension.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/SaveRasterLayerExtension.java	(revision 43876)
@@ -13,7 +13,7 @@
 import org.gvsig.app.project.documents.view.ViewDocument;
 import org.gvsig.app.project.documents.view.gui.IView;
 import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
 import org.gvsig.fmap.mapcontext.layers.FLayers;
 import org.gvsig.fmap.mapcontext.raster.api.RasterLayer;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/HistogramExtension.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/HistogramExtension.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/HistogramExtension.java	(revision 43876)
@@ -25,9 +25,9 @@
 import org.gvsig.app.project.documents.view.gui.IView;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.exception.ReadException;
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
+import org.gvsig.fmap.dal.raster.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.geom.Geometry;
 import org.gvsig.fmap.geom.primitive.Envelope;
 import org.gvsig.fmap.mapcontext.ViewPort;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/ConvertRasterLayerTypeExtension.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/ConvertRasterLayerTypeExtension.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/ConvertRasterLayerTypeExtension.java	(revision 43876)
@@ -21,7 +21,7 @@
 import org.gvsig.app.project.documents.view.ViewDocument;
 import org.gvsig.app.project.documents.view.gui.IView;
 import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
 import org.gvsig.fmap.mapcontext.layers.FLayers;
 import org.gvsig.fmap.mapcontext.raster.api.RasterLayer;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/AssignProjectionExtension.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/AssignProjectionExtension.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/src/main/java/org/gvsig/raster/tools/app/mainplugin/AssignProjectionExtension.java	(revision 43876)
@@ -20,7 +20,7 @@
 import org.gvsig.app.project.documents.view.ViewDocument;
 import org.gvsig.app.project.documents.view.gui.IView;
 import org.gvsig.fmap.dal.DataStoreParameters;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemStoreParameters;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
 import org.gvsig.fmap.mapcontext.layers.FLayers;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/src/main/java/org/gvsig/raster/app/mainplugin/AddTestRasterLayerExtension.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/src/main/java/org/gvsig/raster/app/mainplugin/AddTestRasterLayerExtension.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/src/main/java/org/gvsig/raster/app/mainplugin/AddTestRasterLayerExtension.java	(revision 43876)
@@ -30,8 +30,8 @@
 import org.gvsig.fmap.dal.exception.ProviderNotRegisteredException;
 import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
 import org.gvsig.fmap.dal.raster.RasterStoreProviderFactory;
-import org.gvsig.fmap.dal.raster.api.NewRasterStoreParameters;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.NewRasterStoreParameters;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorer;
 import org.gvsig.fmap.dal.spi.DALSPILocator;
 import org.gvsig.fmap.dal.spi.DataManagerProviderServices;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/src/main/java/org/gvsig/raster/app/mainplugin/colortable/ColorTablePagePanelController.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/src/main/java/org/gvsig/raster/app/mainplugin/colortable/ColorTablePagePanelController.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.plugin/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/src/main/java/org/gvsig/raster/app/mainplugin/colortable/ColorTablePagePanelController.java	(revision 43876)
@@ -50,9 +50,9 @@
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.PluginsLocator;
 import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
-import org.gvsig.fmap.dal.raster.api.RasterSet;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
+import org.gvsig.fmap.dal.raster.RasterSet;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
 import org.gvsig.fmap.mapcontext.raster.api.RasterLayer;
 import org.gvsig.fmap.mapcontext.raster.swing.MapContextRasterSwingLocator;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/export/DefaultExportRasterPanel.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/export/DefaultExportRasterPanel.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/export/DefaultExportRasterPanel.java	(revision 43876)
@@ -1,7 +1,5 @@
 package org.gvsig.fmap.mapcontext.raster.swing.impl.export;
 
-import java.beans.PropertyChangeEvent;
-import java.beans.PropertyChangeListener;
 import java.io.File;
 import java.nio.Buffer;
 import java.util.ArrayList;
@@ -10,7 +8,6 @@
 
 import javax.swing.JComponent;
 import javax.swing.JFileChooser;
-import javax.swing.JPanel;
 
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
@@ -18,7 +15,7 @@
 import org.gvsig.fmap.dal.DALLocator;
 import org.gvsig.fmap.dal.DataManager;
 import org.gvsig.fmap.dal.DataServerExplorer;
-import org.gvsig.fmap.dal.raster.api.NewRasterStoreParameters;
+import org.gvsig.fmap.dal.raster.NewRasterStoreParameters;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemFileFilter;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorer;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorerParameters;
@@ -65,8 +62,7 @@
         final JFileChooser jfc = new JFileChooser("/home/paco/tmp");
 
         List dataStoreProviderNames = explorer.getDataStoreProviderNames();
-        List<FilesystemServerExplorerProvider> creationProviders =
-            new ArrayList<FilesystemServerExplorerProvider>();
+        List<FilesystemServerExplorerProvider> creationProviders = new ArrayList<>();
         Iterator filters = explorer.getFilters(DataServerExplorer.MODE_RASTER);
         while (filters.hasNext()) {
             FilesystemServerExplorerProvider provider = (FilesystemServerExplorerProvider) filters.next();
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/bands/BandsPanelController.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/bands/BandsPanelController.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/bands/BandsPanelController.java	(revision 43876)
@@ -55,8 +55,8 @@
 import org.gvsig.fmap.dal.exception.InitializeException;
 import org.gvsig.fmap.dal.exception.ProviderNotRegisteredException;
 import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemFileFilter;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorer;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorerParameters;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/bands/RasterStoreBand.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/bands/RasterStoreBand.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/bands/RasterStoreBand.java	(revision 43876)
@@ -26,7 +26,7 @@
 import org.slf4j.LoggerFactory;
 
 import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.raster.lib.buffer.api.NoData;
 import org.gvsig.tools.dispose.DisposeUtils;
 import org.gvsig.tools.dispose.impl.AbstractDisposable;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/DefaultSelectableBandDescriptorsTableModel.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/DefaultSelectableBandDescriptorsTableModel.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/DefaultSelectableBandDescriptorsTableModel.java	(revision 43876)
@@ -29,7 +29,7 @@
 
 import javax.swing.table.AbstractTableModel;
 
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
 import org.gvsig.fmap.mapcontext.raster.swing.SelectableBandDescriptorsTableModel;
 import org.gvsig.raster.swing.buffer.SelectableBandsTableModel;
 import org.gvsig.tools.ToolsLocator;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/DefaultMapContextRasterSwingManager.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/DefaultMapContextRasterSwingManager.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.impl/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/impl/DefaultMapContextRasterSwingManager.java	(revision 43876)
@@ -24,7 +24,7 @@
 
 import java.util.List;
 
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
 import org.gvsig.fmap.mapcontext.raster.swing.MapContextRasterSwingManager;
 import org.gvsig.fmap.mapcontext.raster.swing.SelectableBandDescriptorsTableModel;
 import org.gvsig.fmap.mapcontext.raster.swing.bands.BandsPanel;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.api/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/MapContextRasterSwingManager.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.api/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/MapContextRasterSwingManager.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.fmap.mapcontext.swing/org.gvsig.fmap.mapcontext.swing.api/src/main/java/org/gvsig/fmap/mapcontext/raster/swing/MapContextRasterSwingManager.java	(revision 43876)
@@ -25,7 +25,7 @@
 
 import java.util.List;
 
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
 import org.gvsig.fmap.mapcontext.raster.swing.bands.BandsPanel;
 import org.gvsig.fmap.mapcontext.raster.swing.export.ExportRasterPanel;
 import org.gvsig.fmap.mapcontext.raster.swing.operations.OperationListPanel;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.tilecache/src/main/java/org/gvsig/raster/tilecache/provider/legend/TileCacheGetColorInterpretation.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.tilecache/src/main/java/org/gvsig/raster/tilecache/provider/legend/TileCacheGetColorInterpretation.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.tilecache/src/main/java/org/gvsig/raster/tilecache/provider/legend/TileCacheGetColorInterpretation.java	(revision 43876)
@@ -1,12 +1,8 @@
 package org.gvsig.raster.tilecache.provider.legend;
 
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.slf4j.LoggerFactory;
 
-import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
-import org.gvsig.fmap.geom.exception.CreateEnvelopeException;
-import org.gvsig.raster.lib.buffer.api.exceptions.BufferException;
 import org.gvsig.raster.lib.legend.api.colorinterpretation.ColorInterpretation;
 import org.gvsig.raster.tilecache.provider.TileCacheStoreProvider;
 import org.gvsig.raster.tilecache.provider.TileStructImage;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.tilecache/src/main/java/org/gvsig/raster/tilecache/provider/legend/TileCacheGetColorTable.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.tilecache/src/main/java/org/gvsig/raster/tilecache/provider/legend/TileCacheGetColorTable.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.tilecache/src/main/java/org/gvsig/raster/tilecache/provider/legend/TileCacheGetColorTable.java	(revision 43876)
@@ -1,13 +1,10 @@
 package org.gvsig.raster.tilecache.provider.legend;
 
+import org.gvsig.fmap.dal.raster.RasterStore;
+import org.gvsig.raster.lib.legend.api.colortable.ColorTable;
 import org.slf4j.LoggerFactory;
 
-import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
-import org.gvsig.fmap.geom.exception.CreateEnvelopeException;
-import org.gvsig.raster.lib.buffer.api.exceptions.BufferException;
-import org.gvsig.raster.lib.legend.api.colortable.ColorTable;
+
 import org.gvsig.raster.tilecache.provider.TileCacheStoreProvider;
 import org.gvsig.raster.tilecache.provider.TileStructImage;
 import org.gvsig.tools.ToolsLocator;
